package com.zehong.system.service.impl;
import java.util.List;
import com.zehong.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zehong.system.mapper.TIssueRectificationMapper;
import com.zehong.system.domain.TIssueRectification;
import com.zehong.system.service.ITIssueRectificationService;

/**
 * 风险点隐患及异常情况Service业务层处理
 *
 * @author zehong
 * @date 2026-03-20
 */
@Service
public class TIssueRectificationServiceImpl implements ITIssueRectificationService
{
    @Autowired
    private TIssueRectificationMapper tIssueRectificationMapper;

    /**
     * 查询风险点隐患及异常情况
     *
     * @param id 风险点隐患及异常情况ID
     * @return 风险点隐患及异常情况
     */
    @Override
    public TIssueRectification selectTIssueRectificationById(Long id)
    {
        return tIssueRectificationMapper.selectTIssueRectificationById(id);
    }

    /**
     * 查询风险点隐患及异常情况列表
     *
     * @param tIssueRectification 风险点隐患及异常情况
     * @return 风险点隐患及异常情况
     */
    @Override
    public List<TIssueRectification> selectTIssueRectificationList(TIssueRectification tIssueRectification)
    {
        return tIssueRectificationMapper.selectTIssueRectificationList(tIssueRectification);
    }

    /**
     * 新增风险点隐患及异常情况
     *
     * @param tIssueRectification 风险点隐患及异常情况
     * @return 结果
     */
    @Override
    public int insertTIssueRectification(TIssueRectification tIssueRectification)
    {
        tIssueRectification.setCreateTime(DateUtils.getNowDate());
        return tIssueRectificationMapper.insertTIssueRectification(tIssueRectification);
    }

    /**
     * 修改风险点隐患及异常情况
     *
     * @param tIssueRectification 风险点隐患及异常情况
     * @return 结果
     */
    @Override
    public int updateTIssueRectification(TIssueRectification tIssueRectification)
    {
        return tIssueRectificationMapper.updateTIssueRectification(tIssueRectification);
    }

    /**
     * 批量删除风险点隐患及异常情况
     *
     * @param ids 需要删除的风险点隐患及异常情况ID
     * @return 结果
     */
    @Override
    public int deleteTIssueRectificationByIds(Long[] ids)
    {
        return tIssueRectificationMapper.deleteTIssueRectificationByIds(ids);
    }

    /**
     * 删除风险点隐患及异常情况信息
     *
     * @param id 风险点隐患及异常情况ID
     * @return 结果
     */
    @Override
    public int deleteTIssueRectificationById(Long id)
    {
        return tIssueRectificationMapper.deleteTIssueRectificationById(id);
    }
}